1. dramioa's Avatar
    Hi guys and girls, I have a question. I'm trying to install the Facebook app from Google play via snap but every time it installs it says that i am using an old version of android system and the app is incompatible. All this started happening after updating my z10 to Any help would be appreciated, thank you!
    03-28-15 10:33 AM
  2. kdhingra307's Avatar
    Its not only problem with z10 but also present in android jb so what you need to do is download older version of facebook and messenger use that
    03-28-15 11:06 AM

Similar Threads

  1. Anyone playing Bloodborne?
    By Andy Wijaya in forum Rehab & Off-Topic Lounge
    Replies: 5
    Last Post: 05-11-15, 08:32 PM
  2. I want to confirm android app availability
    By MexicoMennonite in forum BlackBerry Passport
    Replies: 3
    Last Post: 03-28-15, 08:31 PM
  3. Replies: 4
    Last Post: 03-28-15, 11:01 AM
  4. Replies: 2
    Last Post: 03-28-15, 10:30 AM
  5. Why can't I access the Amazon app?
    By Ellietoo in forum Ask a Question
    Replies: 5
    Last Post: 03-28-15, 10:07 AM